<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    :fullscreen="false"
    switchFullscreen
    @ok="handleOk"
    okText="保存"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭"
    footer=""
  >
    <!-- 邱东宝 增加modal按钮调整到顶部 1-->
    <template>
      <div style="position: absolute;left: 10%;top:13px;">
        <a-button v-if="!disableSubmit"  @click="handleOk" type="primary" style="margin-bottom: 0;margin-right: 8px">保存</a-button>
        <a-button @click="handleCancel">
          关闭
        </a-button>
      </div>

    </template>
    <!--邱东宝 增加modal按钮调整到顶部 end-->

    <qc-ssgqzysytdqk-form ref="realForm" @ok="submitCallback" :disabled="disableSubmit"></qc-ssgqzysytdqk-form>
  </j-modal>
</template>

<script>

  import QcSsgqzysytdqkForm from './QcSsgqzysytdqkForm_tj'
  import {getAction} from '@api/manage'
  export default {
    name: 'QcSsgqzysytdqkModal',
    components: {
      QcSsgqzysytdqkForm
    },
    data () {
      return {
        title:'',
        width:"80%",
        result:{},
        visible: false,
        disableSubmit: false
      }
    },
    methods: {
      add () {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.add();
        })
      },
      edit (record) {
        this.result = record
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.edit(record);
        })
      },
      close () {
        this.$emit('close');
        this.visible = false;
      },
      handleWCSH() {
        new Promise((resolve, reject)=>{
          this.handleOk()
          resolve()
        }).then(()=>{
          getAction("/qcsb/qcSsgqzysytdqk/wcsh", {id: this.result.id}).then(res => {
            if (res.success) {
              this.visible=false
              this.loadData();
            }
          })
        })

      },
      handleOk () {
          this.disableSubmit=true
        this.$refs.realForm.submitForm();
      },
      submitCallback(){
        this.$emit('ok');
        this.visible = false;
      },
      handleCancel () {
        this.close()
      },

    }
  }
</script>